%define module_name Thrall
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config.pm) perl(Digest/MD5.pm) perl(English.pm) perl(Errno.pm) perl(Fcntl.pm) perl(File/ShareDir.pm) perl(FindBin.pm) perl(HTTP/Date.pm) perl(HTTP/Request.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Status.pm) perl(HTTP/Tiny.pm) perl(IO/Socket/INET.pm) perl(IO/Socket/IP.pm) perl(IO/Socket/SSL.pm) perl(IO/Socket/UNIX.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Mojolicious/Lite.pm) perl(Net/SSLeay.pm) perl(Plack.pm) perl(Pod/Usage.pm) perl(Socket.pm) perl(Test/More.pm) perl(Test/TCP.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm) perl(base.pm) perl(forks.pm) perl(if.pm) perl(threads.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0305
Release: alt1
Summary: a simple PSGI/Plack HTTP server which uses threads
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DE/DEXTER/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
%summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README.md Changes README LICENSE examples
%perl_vendor_privlib/T*
%perl_vendor_privlib/P*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Fri Jan 13 2017 Igor Vlasenko <viy@altlinux.ru> 0.0305-alt1
- regenerated from template by package builder

* Thu Apr 07 2016 Igor Vlasenko <viy@altlinux.ru> 0.0304-alt1
- regenerated from template by package builder

* Thu Oct 15 2015 Igor Vlasenko <viy@altlinux.ru> 0.0303-alt1
- regenerated from template by package builder

* Mon Nov 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.0302-alt1
- regenerated from template by package builder

* Thu Jul 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.0301-alt1
- regenerated from template by package builder

* Tue Jan 28 2014 Igor Vlasenko <viy@altlinux.ru> 0.0202-alt1
- regenerated from template by package builder

* Mon Dec 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.0201-alt1
- regenerated from template by package builder

* Tue Dec 17 2013 Igor Vlasenko <viy@altlinux.ru> 0.0103-alt1
- regenerated from template by package builder

* Mon Sep 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.0102-alt1
- initial import by package builder

